<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * Memory Limit system plugin
 */
class plgSystemMemoryLimit extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @access	protected
	 * @param	object	$subject The object to observe
	 * @param 	array   $config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemMemoryLimit( &$subject, $config )
	{
		parent::__construct( $subject, $config );

		// Do some extra initialisation in this constructor if required
		$newMemLimit = intval($this->params->get('maxmemsize', 32))."M";
		$oldValue = ini_set("memory_limit",$newMemLimit);
	}

	/**
	 * Do something onAfterInitialise 
	 */
	function onAfterInitialise()
	{
		// Perform some action
	}
}
?>